[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# RestoreFocusState

Restores the previous focus state for an application to the specified value.

## Declaration

Source position: forms.pp line 1958

`procedure RestoreFocusState(`
`FocusState: TFocusState`
`);`

## Arguments

`FocusState` |  | Control set as the focused control in the routine.

## See also

SaveFocusState |  | Saves the last focus state (focused control) in an application.
TCustomForm.ShowModal |  | Displays the form as a modal dialog.
TCustomForm.SetFocusedControl |  | Handles a focus change for a control (enter/exit messages).